# Deposit to Zebec

Depositing token from proxy accounts to zebec vault can be done in following way. You first need to pass message to solana chain using evm bridge contracts for deposit tokens.

```typescript

const tokenAddress = "0xea0Fbe70025ac7Cab1F5f06976dA76Ac85C045d9";
const tokenAddressSol = await getTargetAsset(signer, tokenAddress, sourceChain, targetChain);

// deposit same amoutn of token that you migrated from bsc to solana 
const receipt = await ethClient.deposit(amount, depositor, tokenAddrInSolana);
```

Then the vaa can be obtained after this and which'll be posted in solana chain.

```typescript
const sequence = parseSequenceFromLogEth(receipt, getBridgeAddressForChain(sourceChain));
const emitterAddress = getEmitterAddressEth(BSC_ZEBEC_BRIDGE_ADDRESS);
const { vaaBytes } = await getSignedVAAWithRetry(
	WORMHOLE_RPC_HOSTS,
	sourceChain,
	emitterAddress,
	sequence,
);
```

Now post this signed vaa to wormhole solana core bridge program, parse the payloads from vaa and send the parsed data to solana zebec bridge program. Posting vaa and calling solana bridge (also called as proxy) program. This is optional because it's handled by zebec's specialized relayer.

```typescript
const payerAddress = wallet.publicKey.toString();
const bridgeAddress = getBridgeAddressForChain(targetChain);

const vaaBuf = Buffer.from(vaaBytes);

setDefaultWasm("node"); // use bundler for browser

// posting vaa in solana
await postVaaSolanaWithRetry(
   connection,
   wallet.signTransaction,
   bridgeAddress,
   payerAddress,
   vaaBuf,
   MAX_VAA_UPLOAD_RETRIES_SOLANA,
);

const { parse_vaa } = await importCoreWasm();
const parsedVaa = await parse_vaa(vaaBytes);
const payload = parseZebecPayload(Buffer.from(parsedVaa.payload));

const depositResult = await solClient.depositToken(depositVaa, depositPayload);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-bridge/bridge-sdk/deposit/deposit-to-zebec.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
